Rails / Bugs

From WhyNotWiki
< Rails
Revision as of 18:29, 8 June 2007 by Tyler (Talk | contribs)
(diff) ←Older revision | Current revision (diff) | Newer revision→ (diff)
Jump to: navigation, search

These are the Rails bugs I'm currently interested in and am tracking...

"Expected x.rb to define X" error

Ticket: http://dev.rubyonrails.org/ticket/7452

"quote" cannot be used as a column name

Ticket:

Ugly relative paths used for requires

Ticket: none?

Leading to ugly backtraces, etc.

./script/../config/../vendor/rails/activesupport/lib/active_support/dependencies.rb:266:in `load_missing_constant': uninitialized constant DeferrableDatabaseOutputter (NameError)
        from ./script/../config/../vendor/rails/activesupport/lib/active_support/dependencies.rb:452:in `const_missing'
        from ./script/../config/../vendor/rails/activesupport/lib/active_support/dependencies.rb:464:in `const_missing'
        from ./script/../config/../../init.rb:13
        from ./script/../config/../vendor/plugins/database_log4r/lib/default_setup.rb:69:in `apply_outputters'
        from ./script/../config/../../init.rb:11
        from /usr/lib/ruby/site_ruby/1.8/rubygems/custom_require.rb:27:in `gem_original_require'
        from /usr/lib/ruby/site_ruby/1.8/rubygems/custom_require.rb:27:in `require'
        from ./script/../config/../vendor/rails/activesupport/lib/active_support/dependencies.rb:495:in `require'
         ... 23 levels...
        from ./script/../config/../vendor/rails/activesupport/lib/active_support/dependencies.rb:495:in `require'
        from ./script/../config/../vendor/rails/railties/lib/commands/server.rb:39
        from ./script/server:3:in `require'
        from ./script/server:3


Bugs  edit   (Category  edit)

Ads
Personal tools